
/*
 *    d_errno values for das aci calls
 */

#ifndef D_ERROR_INCL

#define D_ERROR_INCL 1


#define EOK          0    /* request successful            */
#define ERPC         1    /* rpc failure                */
#define EINVALID     2    /* aci parameter invalid        */
#define ENOVOLUME    3    /* volume not found of this type    */
#define ENODRIVE     4    /* drive not in Grau ATL        */
#define EDRVOCCUPIED 5    /* the requested drive is in use    */
#define EPROBVOL     6    /* the robot has a physical problem with the volume */
#define EAMU         7    /* an internal error in the AMU        */
#define EAMUCOMM     8    /* the DAS was unable to communicate with the AMU */
#define EROBOT       9    /* the robotic system is not functioning */
#define EROBOTCOMM  10    /* the AMU was unable to communicate with the robot */
#define ENODAS      11    /* the DAS system is not active        */
#define EDEVEMPTY   12    /* the drive did not contain an unloaded volume */
#define ENOTREG     13    /* invalid registration            */
#define EBADHOST    14    /* invalid hostname or ip address    */
#define ENOAREA     15    /* the area name does not exist        */
#define ENOTAUTH    16    /* the client is not authorized to make this request */
#define EDYNFULL    17    /* the dynamic area became full, insertion stopped */
#define EUPELSE     18    /* the drive is currently available to another client */
#define EBADCLIENT  19    /* the client does not exist        */
#define EBADDYN     20    /* the dynamic area does not exist    */
#define ENOREQ      21    /* no request exists with this number    */
#define ERETRYL     22    /* retry attempts exceeded         */
#define ENOTMOUNTED 23    /* requested volser is not mounted    */
#define EINUSE      24    /* requested volser is in use        */
#define ENOSPACE    25    /* no space availble to add range    */
#define ENOTFOUND   26    /* the range or object was not found    */
#define ECANCELLED  27    /* the request was cancelled by aci_cancel()    */
#define EDASINT     28    /* internal DAS error */
#define EACIINT     29    /* internal ACI error */
#define EMOREDATA   30    /* for a query more data are available */
#ifdef ENOMATCH           /* it is defined for HPUX11 (comes from UnixWare) */
#undef ENOMATCH
#endif
#define ENOMATCH    31    /* things don't match together */
#define EOTHERPOOL  32    /* volser is still in another pool */
#define ECLEANING   33    /* drive in cleaning */
#define ETIMEOUT    34    /* The aci request timed out */
/* --- new Ver. DAS 3.0 --- */
#define ESWITCHINPROG 35  /* The AMU starts a switch */
#define ENOPOOL     36    /* Poolname not defined */
#define EAREAFULL   37    /* Area is full */
#define EHICAPINUSE 38    /* Robot is not ready because of a HICAP request */
#define ENODOUBLESIDE 39  /* The volser has no two sides */
#define EEXUP       40    /* The drive is EXUP for another client */
#define EPROBDEV    41    /* the robot has a problem with handling the device */
#define ECOORDINATE 42    /* one or more coordinates are wrong */
#define EAREAEMPTY  43    /* area is empty */
#define EBARCODE    44    /* Barcode read error */
#define EUPOWN      45    /* Client tries to allocate volsers that are already allocated*/
#define ENOTSUPPHCMD  46    /* Not supported host command */
#define EDATABASE   47    /*Database error*/
#define ENOROBOT    48    /* Robot is not configured*/
#define EINVALIDDEV 49    /* The device is invalid*/

#define NO_ECODES   50    /* number of Error codes in header file
                             increment when adding new codes to the
                             end of the list                        */

#endif
